Bug 903498 - Make it clearer what's going on at the disk selection screen (1st screen in storage spoke)
Make it clearer what's going on at the disk selection screen (1st screen in s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All All
unspecified Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 02:54 EST by Adam Williamson
Modified: 2013-05-12 18:38 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-19.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 18:38:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Mockup to address issue (100.69 KB, image/png)
2013-01-25 11:39 EST, Máirín Duffy
no flags Details

  None (edit)
Description Adam Williamson 2013-01-24 02:54:54 EST
One of the most common themes of negative feedback on the F18 installer has been that the navigation through the storage spoke is confusing and frightening ('when is it going to eat my disks?' is a common theme). It occurred to me we could do quite a lot to improve this just by adding some simple text to the disk shopping cart screen. It's got a lot of empty space anyway. Just having some text like this up at the top:

Choose which storage devices will be a part of the Fedora installation. Any device you do not select here will be left untouched by this installation process. The 'Full disk summary and options...' link may be used to configure bootloader location if needed. Clicking Continue will take you to the next step of storage configuration, where you can free up space for the installation if needed, or choose to configure your storage layout manually. No changes will be made to your storage devices until you complete this configuration process, return to the main screen, and click "Begin Installation".

would, I think, avoid a whole bunch of misunderstandings and complaints. I have heard the meme that a UI design which needs explaining is a bad UI design, and I strongly disagree with it: it may apply to Angry Birds but it doesn't apply to operating system storage configuration. There's no shame in explaining the mechanism we've chosen to handle an extremely complex operation.
Comment 1 Adam Williamson 2013-01-24 02:56:13 EST
As an alternative to "Continue will take you to the next step of storage configuration, where you can free up space for the installation if needed, or choose to configure your storage layout manually", we could change the text on the button itself to read "Continue to next step of storage configuration". Again, there's lots of space down there.
Comment 2 Adam Williamson 2013-01-24 03:18:49 EST
slight update to the text:

Choose which storage devices will be a part of the Fedora installation. Any device you do not select here will be left untouched by this installation process. The 'Full disk summary and options...' link may be used to configure bootloader location if needed. Clicking Continue will take you to the next step of storage configuration, where you can plan to free up space for the installation if needed, or choose to configure your planned storage layout manually. No changes will be made to your storage devices until you complete this configuration process, return to the main screen, and click "Begin Installation".

just adds a couple of variations on 'planned' for clarification.
Comment 3 Adam Williamson 2013-01-24 03:32:54 EST
Hum, we could also remove the need for bootloader in the text by adjusting that link too. So, modified again:

Text: Choose which storage devices will be a part of the Fedora installation. Any device you do not select here will be left untouched by this installation process. No changes will be made to your storage devices until you complete this configuration process, return to the main screen, and click "Begin Installation".

"Continue" button: should read "Continue to next step of storage configuration"

"Full disk summary and options..." link: should read "Detailed disk information, bootloader location and options..." (or something like that: explicitly mention bootloader location, anyway)

How's that?
Comment 4 Leslie Satenstein 2013-01-24 09:49:56 EST
Text:  This is my take...

Choose the storage devices to be a part of the Fedora installation. Any device you do not select will be omitted by this installation process. No changes will be made to your storage devices until you complete this configuration process, return to the main screen, and click "Begin Installation".
Comment 5 Adam Williamson 2013-01-24 11:55:26 EST
Note: I actually filed a somewhat-related bug previously (sorry I forgot that): https://bugzilla.redhat.com/show_bug.cgi?id=883195

A fix for that has now gone in, which consists of labelling the Begin Installation button:

"We won't touch your disks until you hit this button."

That's definitely an improvement on the current situation, but I think it's probably still worth having some explanatory text on this screen too.
Comment 6 Ales Ledvinka 2013-01-25 10:28:03 EST
how about simple "detailed settings" for the storage spoke continue button?

also the bottom right corner of screen took me a while to notice.
with single disk selection eye-focus area on full-hd resolution it's quite well hidden behind wast space of emptiness.
tried three different installations f18 iso and latest local pxe on real hardware and vm. just one resized to half space and had the continue button closer to the disk selection easier to notice. not sure which one is newer or whether is it due to external condition.
Comment 7 Máirín Duffy 2013-01-25 11:39:27 EST
Created attachment 687577 [details]
Mockup to address issue

Here's a mockup with a suggestion of how to go about fixing this issue. A few things:

- We already pulled out the "Continue" button in rawhide. Definitely a very confusing label for the button, as you've pointed out. We decided instead since all other spokes are exited by pressing 'Done' in the upper left, we should be consistent and have that be the primary method of getting out of this one too. All of the reclaim / you're all set / etc dialogs will pop up when you press done, and you'll be given the opportunity to go into custom partitioning as well.

- Since we didn't want too much text up top, I chopped up your suggested text a bit with bcl's help: "Select the device(s) you'd like to install to. They will be left untouched until you click on the main menu's "Begin Installation" button."

- Then, to make sure folks knew that disks they didn't select would not be affected, there's also a small note attached to the local disk selection widget that says: "Disks left unselected here will not be touched."

Does this seem workable?
Comment 8 Adam Williamson 2013-01-26 02:52:04 EST
It's an improvement. I'm not sure the Done thing really works, because it kinda has the same problem as 'reclaim space' - it sounds like this is all the choice you get to make. I can see people having the same problem, wondering what's going to happen when they click on 'Done'. But we should try it out.

The other thing that is not yet captured is the fact that you can configure the bootloader from the 'blue link' (simply labelled '0 disks selected' in the mockup).

But definitely better. thanks!
Comment 9 Máirín Duffy 2013-01-28 09:57:35 EST
I'm not too worried about the bootloader config part. Maybe we can call it out in custom.
Comment 10 Adam Williamson 2013-01-28 18:40:43 EST
Mo: well, Distrowatch Weekly just posted a review stating categorically no less than twice that F18 didn't offer anywhere to configure bootloader location, so...:/

http://distrowatch.com/weekly.php?issue=20130128&mode=67#feature

"I noticed that during the installation process there isn't any place where we can choose whether to install a boot loader or change the boot loader's settings."

"However, in trade, now there is no option to prevent Anaconda from installing the GRUB 2 boot loader. We're not asked about this at all, the installer simply overwrites our existing boot loader and tries to configure GRUB 2 automatically without any chance for us to override its settings. This seems a significant regression from previous releases."

and this is already becoming received wisdom in the comments section.
Comment 11 Chris Lumens 2013-01-29 10:27:44 EST
Well, changing that label to "Full disk summary and bootloader..." instead of "and options..." is really easy and doesn't look silly at all.
Comment 12 Adam Williamson 2013-01-29 12:00:41 EST
that'd clearly be an improvement at present, I guess the only question is whether we're planning to add more stuff to that screen (for enterprise storage)?
Comment 13 Chris Lumens 2013-01-29 13:07:47 EST
No.
Comment 14 Adam Williamson 2013-01-29 13:22:13 EST
well then sure, that seems like it's better than what we have now. "bootloader options..." maybe, but I really don't mind, so long as it mentions bootloaders...
Comment 15 Máirín Duffy 2013-01-31 10:31:51 EST
"Full disk summary and bootloader..." works for now, but if we end up having to add more stuff in that dialog we'll be in a bit of a pickle. I don't see any harm in changing it to that for now though. +1
Comment 16 Fedora End Of Life 2013-04-03 16:24:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 17 Adam Williamson 2013-05-12 18:38:55 EDT
I think we can close this out now, a lot of improvements have been made.

Note You need to log in before you can comment on or make changes to this bug.